diff --git a/buglist b/buglist
index 52faf53..8c06a32 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7255: 
+bug 7257: 
 todo 336:
 wish 1011:
 meh 5:
@@ -12,6 +12,21 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7256: acot(-1) values differ
+
+(1) -> normalize(acot(-1))
+
+        3%pi
+   (1)  ----
+          4
+                                                    Type: Expression(Integer)
+(2) -> normalize(subst(acot(z),z=-1))
+
+          %pi
+   (2)  - ---
+           4
+                                                    Type: Expression(Integer)
+=========================================================================
 bug 7254: f==n+->sum(sum(1/i,i=1..j),j=1..n) complains
 
 f==n+->sum(sum(1/i,i=1..j),j=1..n)
@@ -40886,4 +40901,8 @@ D(0^z, z)
    >> Error detected within library code:
    Invalid argument
 
+fixed by 20140615.01.tpd.patch
+=========================================================================
+bug 7255: BinaryTreeCategory always has finiteAggregate
+
 
diff --git a/changelog b/changelog
index 8a9f23c..37288a4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140615 tpd src/axiom-website/patches.html 20140615.04.tpd.patch
+20140615 tpd buglist bug 7256: acot(-1) values differ
 20140615 tpd src/axiom-website/patches.html 20140615.03.tpd.patch
 20140615 tpd books/bookvol13.pamphlet, ps/v13llvmtoacl2.eps file rename
 20140615 tpd src/axiom-website/patches.html 20140615.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6553573..f11e19f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4464,6 +4464,8 @@ bookvol10.2 bug 7255: BinaryTreeCategory remove finiteAggregate
 books/bookvol4, ps/v4architecture.eps add Baker's graphic
 <a href="patches/20140615.03.tpd.patch">20140615.03.tpd.patch</a>
 books/bookvol13.pamphlet, ps/v13llvmtoacl2.eps file rename
+<a href="patches/20140615.04.tpd.patch">20140615.04.tpd.patch</a>
+buglist bug 7256: acot(-1) values differ
  </body>
 </html>
 
